Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class SessionUtilities

    java.lang.Object
      oracle.ifs.common.SessionUtilities

    public class SessionUtilities

extends java.lang.Object

A SessionUtilities is a set of static utility convenience methods for performing session operations.

Field Summary
`static int` | `EXECUTIONMODE_IGNORE_ACCESS_CHECKS` Custom execution mode for ignoring access checks (bit 0).
`static int` | `EXECUTIONMODE_IGNORE_CAPABILITY_CHECKS` Custom execution mode for ignoring type/configuration capability checks (bit 1).
`static int` | `EXECUTIONMODE_IGNORE_LOCK_CHECKS` Custom execution mode for ignoring lock checks (bit 2).

Method Summary
`static boolean` | `isAccessCheckIgnored(LibrarySession session)` Check to see if the "access checks ignored" mode is enabled in the application execution mode state.
`static boolean` | `isCapabilityCheckIgnored(LibrarySession session)` Check to see if the "type/configuration capability checks ignored" mode is enabled in the application execution mode state.
`static boolean` | `isLockCheckIgnored(LibrarySession session)` Check to see if the "lock checks ignored" mode is enabled in the application execution mode state.
`static void` | `popMode(LibrarySession session, SessionMode mode)` Pop from a custom execution mode.
`static void` | `pushMode(LibrarySession session, SessionMode mode)` Push into a custom execution mode.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXECUTIONMODE_IGNORE_ACCESS_CHECKS

    public static final int EXECUTIONMODE_IGNORE_ACCESS_CHECKS

  Description copied from class: `SessionUtilities`
  Custom execution mode for ignoring access checks (bit 0).

  See Also:
    Constant Field Values

### EXECUTIONMODE_IGNORE_CAPABILITY_CHECKS

    public static final int EXECUTIONMODE_IGNORE_CAPABILITY_CHECKS

  Description copied from class: `SessionUtilities`
  Custom execution mode for ignoring type/configuration capability checks (bit 1).

  See Also:
    Constant Field Values

### EXECUTIONMODE_IGNORE_LOCK_CHECKS

    public static final int EXECUTIONMODE_IGNORE_LOCK_CHECKS

  Description copied from class: `SessionUtilities`
  Custom execution mode for ignoring lock checks (bit 2).

  See Also:
    Constant Field Values

Method Detail

### pushMode

    public static void pushMode(LibrarySession session,
                                SessionMode mode)
                         throws IfsException

  Description copied from class: `SessionUtilities`
  Push into a custom execution mode.

  Uses information from the SessionMode argument to enable any of the following:

  - LibrarySession Execution mode.
  - Disabling of access checks.
  - Disabling of type/configuration capability checks.
  - Disabling of lock checks.

  The caller must gaurantee that a `popCustomMode` will be called with the same SessionMode argument specified in this call when the specified mode is no longer desired.

  Parameters:
    `session` - the session context
    `mode` - the desired custom execution mode
  Throws:
    `IfsException` - if the operation fails

### popMode

    public static void popMode(LibrarySession session,
                               SessionMode mode)
                        throws IfsException

  Description copied from class: `SessionUtilities`
  Pop from a custom execution mode.

  Parameters:
    `session` - the session context
    `mode` - the previously pushed cusotm execution mode
  Throws:
    `IfsException` - if the operation fails

### isAccessCheckIgnored

    public static boolean isAccessCheckIgnored(LibrarySession session)
                                        throws IfsException

  Description copied from class: `SessionUtilities`
  Check to see if the "access checks ignored" mode is enabled in the application execution mode state.

  Parameters:
    `session` - the session context
  Returns:
    true if access checks are ignored; false otherwise
  Throws:
    `IfsException` - if the operation fails

### isCapabilityCheckIgnored

    public static boolean isCapabilityCheckIgnored(LibrarySession session)
                                            throws IfsException

  Description copied from class: `SessionUtilities`
  Check to see if the "type/configuration capability checks ignored" mode is enabled in the application execution mode state.

  Parameters:
    `session` - the session context
  Returns:
    true if type/configuration capability checks are ignored; false otherwise
  Throws:
    `IfsException` - if the operation fails

### isLockCheckIgnored

    public static boolean isLockCheckIgnored(LibrarySession session)
                                      throws IfsException

  Description copied from class: `SessionUtilities`
  Check to see if the "lock checks ignored" mode is enabled in the application execution mode state.

  Parameters:
    `session` - the session context
  Returns:
    true if lock checks are ignored; false otherwise
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD